-----------------------------------------------------------------------------
-- Stage 2-4
-----------------------------------------------------------------------------
-- GLOBALS

function SpawnIntroAnimals()
	a = EntGame.SpawnAnimalOnPath(AID_IMPALA_M, "IntroCamAnimalsPath1", 0, ST_WPT_RUN, 0, 0, 0, .8);
	    Animal.SetLoopAtPathEnd(a, true);
	b = EntGame.SpawnAnimalOnPath(AID_IMPALA_M, "IntroCamAnimalsPath2", 0, ST_WPT_RUN, 0, 0, 0, .6);
	    Animal.SetLoopAtPathEnd(a, true);
	c = EntGame.SpawnAnimalOnPath(AID_IMPALA_M, "IntroCamAnimalsPath1", 0, ST_WPT_RUN, 0, 2, 3, .5);
	    Animal.SetLoopAtPathEnd(a, true);
	d = EntGame.SpawnAnimalOnPath(AID_IMPALA_M, "IntroCamAnimalsPath2", 0, ST_WPT_RUN, 0, 2, 3, .3);
	    Animal.SetLoopAtPathEnd(a, true);
	    
	end;

-----------------------------------------------------------------------------   
 
function PostStage()

    EntGame.EnablePlayerControl(false);
    EntGame.ClearFlag(GF_READYTOSTART);
    EntGame.BindCameraToEntity("OutroCamera");
    
    Sound.Release(smpLeopardRoar);

    end;    
    
-----------------------------------------------------------------------------    
-- Setup

function Setup()
    -- turn on the "Game running" menu - may not be needed for this game
    EntGame.PushMenu("MenuGameRunning");

    -- load world
    SetupWorld("Maps\\WorldSunsetMountain\\SunsetMountainCommon.ini", "Maps\\Stage2-4\\Stage2-4.ini","","");
    EntGame.CreatePlayerEntities();
    
    --dust currently not lit, change if necessary
    EntGame.SetGlobalDustColorInitial(1.0, 0.62, 0.41, 0.41);
    EntGame.SetGlobalDustColorFinal  (0.0, 0.62, 0.41, 0.41);

    EntGame.SetStageTimer(180);
    
    -- load sounds
    smpLeopardRoar = Sound.Load("Sound\\Animals\\LeopardRoar.wav");
     
    SpawnIntroAnimals();	

	EntGame.LoadAnimal(AID_IMPALA_F);	
	EntGame.LoadAnimal(AID_IMPALA_M);
	EntGame.LoadAnimal(AID_SPURWINGGOOSE_M);
	EntGame.LoadAnimal(AID_LEOPARD_M);
	
 	StartupSequence("Music\\Afterlife.ogg");

	EntGame.DestroyAllAnimals();
	
--S	
--[[ S
    Animal.SetState(a, ST_GONE);
    Animal.SetState(b, ST_GONE);
    Animal.SetState(c, ST_GONE);
    Animal.SetState(d, ST_GONE);
S ]]--      
    end;

-----------------------------------------------------------------------------

function Part1()

	Camera.SetSpeed(entCamera, 0.0, 0.1);	    
    Camera.JumpToWaypoint(entCamera, "CamWptDD");  
		
	Script.WaitSec(1);
		    
	Camera.SetSpeed(entCamera, 2.0, 0.1);
	Camera.StopAtWaypoint(entCamera, "CamWptKK");
	
	Script.WaitSec(.25);
	
	EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha1", 0, 0, 0, 0, 1.0);
	Script.WaitSec(.25);
	EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha1", 0, 0, 0, .05, .88);
	Script.WaitSec(.25);
	EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha1", 0, 0, 0, .1, .2);	

	Script.WaitSec(.25);
  
	Camera.SetTiltOffset(entCamera, -10, 2.5);
		
	EntGame.SpawnAnimalOnPath(AID_IMPALA_M, "FollowPathAlpha4", 0, ST_WPT_RUN, 0, -2, -2, 1.2); 
	Script.WaitSec(.25); 
	EntGame.SpawnAnimalOnPath(AID_IMPALA_F, "FollowPathAlpha4", 0, ST_WPT_RUN, 0, -3.5, -3.5, .6);  
	Script.WaitSec(.5);
	EntGame.SpawnAnimalOnPath(AID_IMPALA_F, "FollowPathAlpha4", 0, ST_WPT_RUN, 0, -1, -2, .4);  
	Script.WaitSec(.25);
	EntGame.SpawnAnimalOnPath(AID_IMPALA_M, "FollowPathAlpha4", 0, ST_WPT_RUN, 0, -2.5, 0, .3);  
	Script.WaitSec(6);
		
	Sound.Play(smpLeopardRoar, 1, DS2_VOLMAX, DS2_CENTER);
	
	Camera.SetSpeed(entCamera, 1.0, 0.1); 
	Script.WaitSec(.25);
	Camera.SetSpeed(entCamera, 0.0, 0.1); --Player stops		      
    Camera.SetPanOffset(entCamera, -155, 1.5); -- Pan left (See Hunter Dan)
    Camera.SetTiltOffset(entCamera, 20, 1.0);
	
	--spawn LEOPARD
	
	a = EntGame.SpawnAnimalOnPath(AID_LEOPARD_M, "FollowPathAlpha2",0, ST_WPT_RUN, 0,0,0,1.2);
	Animal.FaceEntity(a, entCamera );
	Animal.SetAutoChargeDist(a, 20.0);
	Animal.SetAttackType(a, ATK_STRAFE);
	Animal.SetStrafeAttackDist(a, 5.5);
	Animal.SetPostAttackTimer(a, 2);
	Animal.SetPostAttackRand(a, false);
	Animal.SetPostAttackDir(a, 90);

	b = EntGame.SpawnAnimalOnPath(AID_LEOPARD_M, "FollowPathAlpha3",0, ST_WPT_RUN, 0,0,0,1);
	Animal.FaceEntity(b, entCamera );
	Animal.SetAutoChargeDist(b, 20.0);
	Animal.SetAttackType(b, ATK_STRAFE);
	Animal.SetStrafeAttackDist(b, 6);
	Animal.SetPostAttackTimer(b, 2);
	Animal.SetPostAttackRand(b, false);
	Animal.SetPostAttackDir(b, 90);
	
	Script.WaitSec(1);
	
	EntGame.ShowCaption(STR_LVL_2_4_A, 0, 4.0);
	
    Script.WaitSec(4.5);
    	
    Camera.SetPanOffset(entCamera, 0, 1.5); --Pan Center on path   
    Camera.SetTiltOffset(entCamera, 0, 1.0);
	
	Camera.SetSpeed(entCamera, 1.0, 0.1); --Player start accelerating
    Camera.SetPanOffset(entCamera, 0, 2.5); --Look forward again.
	Script.WaitSec(.25); 
	Camera.SetSpeed(entCamera, 2.0, 0.1); --Player continuing to accelerate	
	
	
		
	EntGame.SpawnAnimalOnPath(AID_IMPALA_M, "FollowPathAlpha9", 0, ST_WPT_RUN, 0, 2, 3, 1);  
	Script.WaitSec(.25); 
	EntGame.SpawnAnimalOnPath(AID_IMPALA_F, "FollowPathAlpha9", 0, ST_WPT_RUN, 0, 0, 0, .8);
	Script.WaitSec(.25);   
	EntGame.SpawnAnimalOnPath(AID_IMPALA_M, "FollowPathAlpha9", 0, ST_WPT_RUN, 0, -1, -1, .7);  
	Script.WaitSec(.25); 	
	EntGame.SpawnAnimalOnPath(AID_IMPALA_F, "FollowPathAlpha9", 0, ST_WPT_RUN, 0, 0, 0, .6); 
	Script.WaitSec(.25);  
	EntGame.SpawnAnimalOnPath(AID_IMPALA_M, "FollowPathAlpha9", 0, ST_WPT_RUN, 0, -1, -1, .5); 
	
	Script.WaitSec(1.5); 
		
	--EntGame.ShowCaption(STR_LVL_2_4_B, 0, 4.0);
	
	Script.WaitSec(1);
	
 	
	EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha17", 0, 0, 2, 0, 1.0);
	Script.WaitSec(.25);
	EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha17", 0, 0, 0, .05, .88);
	Script.WaitSec(.25);
	EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha17", 0, 0, 1, 0, .5);
	Script.WaitSec(.5);
	EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha17", 0, 2, .5, .2, .4);	
		
	Script.WaitSec(7.75);
		
	Sound.Play(smpLeopardRoar, 1, DS2_VOLMAX, DS2_CENTER);
	
	Camera.SetSpeed(entCamera, 1.0, 0.1); 
	Script.WaitSec(.25);
	Camera.SetSpeed(entCamera, 0.0, 0.1); --Player stops		      

		
	Camera.SetPanOffset(entCamera, 120, 1.5); -- Pan right
	Camera.SetTiltOffset(entCamera, 12, 1.0);
	
	--spawn LEOPARD
	
	a = EntGame.SpawnAnimalOnPath(AID_LEOPARD_M, "FollowPathAlpha8",0, ST_WPT_RUN, 1,0,0,1);
	Animal.FaceEntity(a, entCamera );
	Animal.SetAutoChargeDist(a, 20.0);
	Animal.SetAttackType(a, ATK_STATIC);
	Animal.SetAttackRepeat(a, 1); 
	Animal.SetPostAttackRand(a, false);
	Animal.SetPostAttackDir(a, -90);
	
    Script.WaitSec(.5);
    	
    EntGame.ShowCaption(STR_LVL_2_4_C, 0, 4.0);
    
    Script.WaitSec(5);
    	
    Camera.SetPanOffset(entCamera, 0, 1.5); --Pan Center on path   
    Camera.SetTiltOffset(entCamera, 0, 1.0);
	
	Camera.SetSpeed(entCamera, 1.0, 0.1); --Player start accelerating
    Camera.SetPanOffset(entCamera, 0, 2.5); --Look forward again.
	Script.WaitSec(.25); 
	Camera.SetSpeed(entCamera, 2.0, 0.1); --Player continuing to accelerate	
	
	Script.WaitSec(2.5);
		
	
	EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha5", 0, 0, 0, 0, 1.0);
	Script.WaitSec(.25);
	EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha5", 0, 0, 0, .05, .88);
	Script.WaitSec(.25);
	EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha5", 0, 0, 2, 0, .3);
	EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha5", 0, 2, 1, .2, .1);
	
	Script.WaitSec(.5);
	
	EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha10", 0, 0, 0, 0, 1.2);
	Script.WaitSec(.25);
	EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha10", 0, .2, 0, .05, .88);
	Script.WaitSec(.25);
	EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha10", 0, 0, 0, .1, .2);	 
	
	Script.WaitSec(4.5);

	EntGame.SpawnAnimalOnPath(AID_IMPALA_M, "FollowPathAlpha6", 0, ST_WPT_RUN, 0, -2, -3, .8);   
	EntGame.SpawnAnimalOnPath(AID_IMPALA_M, "FollowPathAlpha6", 0, ST_WPT_RUN, 0, -1, -2, .7);  
	EntGame.SpawnAnimalOnPath(AID_IMPALA_F, "FollowPathAlpha6", 0, ST_WPT_RUN, 0, 0, 0, .5);  
	EntGame.SpawnAnimalOnPath(AID_IMPALA_M, "FollowPathAlpha7", 0, ST_WPT_RUN, 0, -2, -3, .8);   
	EntGame.SpawnAnimalOnPath(AID_IMPALA_F, "FollowPathAlpha7", 0, ST_WPT_RUN, 0, -1, -2, .7);  
	EntGame.SpawnAnimalOnPath(AID_IMPALA_M, "FollowPathAlpha7", 0, ST_WPT_RUN, 0, 0, 0, .5); 
	
	Script.WaitSec(2);
		
	EntGame.ShowCaption(STR_LVL_2_4_D, 0, 4.0);

	EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha10", 0, 0, 0, 0, 1.0);
	Script.WaitSec(.25);
	EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha10", 0, 0, 0, .05, .88);
	Script.WaitSec(.25);
	EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha10", 0, 0, 0, .1, .2);	 
	  
	Script.WaitSec(14.5);
	  	
	EntGame.SpawnAnimalOnPath(AID_IMPALA_M, "FollowPathAlpha11", 0, ST_WPT_RUN, 0, -2, -3, 1.2);
	Script.WaitSec(1);
	EntGame.SpawnAnimalOnPath(AID_IMPALA_F, "FollowPathAlpha11", 0, ST_WPT_RUN, 0, -1, -2, .85);  
	EntGame.SpawnAnimalOnPath(AID_IMPALA_M, "FollowPathAlpha11", 0, ST_WPT_RUN, 0, 0, 0, .8);  
	EntGame.SpawnAnimalOnPath(AID_IMPALA_F, "FollowPathAlpha12", 0, ST_WPT_RUN, 0, -2, -3, 1.2);   
	EntGame.SpawnAnimalOnPath(AID_IMPALA_F, "FollowPathAlpha12", 0, ST_WPT_RUN, 0, -1, -2, .7);  
	EntGame.SpawnAnimalOnPath(AID_IMPALA_M, "FollowPathAlpha12", 0, ST_WPT_RUN, 0, 0, 0, .5); 
	
	Script.WaitSec(7.33);
		
	EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha14", 0, 0, 4, 1, 1.0);	 
	EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha14", 0, 1, 0, 2, .8);	
	EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha14", 0, 1, 1.5, 1, .8);	
	
	Script.WaitSec(.33);
		
	EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha14", 0, 1, 2, 1, .8);	
	EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha14", 0, 1, -1, -1, .6);	
	
	Sound.Play(smpLeopardRoar, 1, DS2_VOLMAX, DS2_CENTER);

	Script.WaitSec(.25);
	
	a = EntGame.SpawnAnimalOnPath(AID_LEOPARD_M, "FollowPathAlpha18",0, ST_WPT_RUN, 1,0,0,1.3);
	Animal.FaceEntity(a, entCamera );
	Animal.SetAutoChargeDist(a, 25);	
	Animal.SetAttackType(a, ATK_STRAFE);
	Animal.SetStrafeAttackDist(a, 6.5);
	Animal.SetPostAttackTimer(a, 0);
	Animal.SetAttackRepeat(a, 1);     
		
	Script.WaitSec(7.25);

	EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha14", 0, 0,1, 0, 1.0);
	Script.WaitSec(.25);
	EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha14", 0, 0, 0, .05, .88);
	Script.WaitSec(.25);
	EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha14", 0, 0, 2, .1, .7);	
	Script.WaitSec(.25);
	EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha14", 0, 1, 0, 1, .6);
	Script.WaitSec(.25);
	EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha14", 0, 0, 1, -1, .5);	  
		
	EntGame.SpawnAnimalOnPath(AID_IMPALA_M, "FollowPathAlpha13", 0, ST_WPT_RUN, 0, -2, 3, 1.1);   
	EntGame.SpawnAnimalOnPath(AID_IMPALA_M, "FollowPathAlpha13", 0, ST_WPT_RUN, 0, -1, -2, .8);  
	Script.WaitSec(.25);
	EntGame.SpawnAnimalOnPath(AID_IMPALA_F, "FollowPathAlpha13", 0, ST_WPT_RUN, 0, 0, 0, .5);  
	Script.WaitSec(.33);
	EntGame.SpawnAnimalOnPath(AID_IMPALA_M, "FollowPathAlpha13", 0, ST_WPT_RUN, 0, -5, -5, 1.1);   
	EntGame.SpawnAnimalOnPath(AID_IMPALA_F, "FollowPathAlpha13", 0, ST_WPT_RUN, 0, -1, -7, .7);  
	
	Script.WaitSec(1.5);
		
	EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha14", 0, 0, 0, 0, 1.0);
	Script.WaitSec(.25);
	EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha14", 0, 0, 2, .05, .88);
	Script.WaitSec(.25);
	EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha14", 0, 0, -.5, .1, .6);	 
	
	Script.WaitSec(11.25);
	
	EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha16",  0,  -1, -1, 1, .7);	
		Script.WaitSec(.25);
	EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha16",  0, -.5, 0, 0, .5);	
	EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha16",  0,  -1, 1.5, -1, .35);	
	
	Script.WaitSec(2); 
	
	Sound.Play(smpLeopardRoar, 1, DS2_VOLMAX, DS2_CENTER);
	
	a = EntGame.SpawnAnimalOnPath(AID_LEOPARD_M, "FollowPathAlpha15",0, ST_WPT_RUN, 0,0,0,1.2);
	Animal.FaceEntity(a, entCamera );

	Script.WaitSec(1); 
		
	EntGame.ShowCaption(STR_LVL_2_4_E, 0, 4.0);
		
	Script.WaitSec(8); 
	
	EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha19", 0, 0, 1, 0, 1);
	Script.WaitSec(.25);
	EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha19", 0, 0, 0, 1, .88);
	Script.WaitSec(.25);
	EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha19", 0, 0, 1, 0, .5);
	Script.WaitSec(.25);
	EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha19", 0, 2, -3, -1, .3);
	
	EntGame.SpawnAnimalOnPath(AID_IMPALA_M, "FollowPathAlpha20", 0, ST_WPT_RUN, 0, -2, -3, 1);   
	EntGame.SpawnAnimalOnPath(AID_IMPALA_F, "FollowPathAlpha20", 0, ST_WPT_RUN, 0, -1, -2, .85);  
	EntGame.SpawnAnimalOnPath(AID_IMPALA_M, "FollowPathAlpha20", 0, ST_WPT_RUN, 0, 0, 0, .8);  
	EntGame.SpawnAnimalOnPath(AID_IMPALA_F, "FollowPathAlpha20", 0, ST_WPT_RUN, 0, -2, -3, 1);   
	EntGame.SpawnAnimalOnPath(AID_IMPALA_M, "FollowPathAlpha20", 0, ST_WPT_RUN, 0, -1, -2, .7); 
		
	Script.WaitSec(4.25); 
		
	Sound.Play(smpLeopardRoar, 1, DS2_VOLMAX, DS2_CENTER);
	
	Script.WaitSec(.25);
	
	a = EntGame.SpawnAnimalOnPath(AID_LEOPARD_M, "FollowPathAlpha20",0, ST_WPT_RUN, 1,0,0,1.3);
	Animal.FaceEntity(a, entCamera );
	Animal.SetAutoChargeDist(a, 20.0);
	Animal.SetAttackType(a, ATK_STRAFE); 
	Animal.SetStrafeAttackDist(a, 6.5);
	Animal.SetPostAttackTimer(a, 0);
	
	Script.WaitSec(7); 
		  	
    end;
-----------------------------------------------------------------------------

function Part2()
	
	Camera.SetSpeed(entCamera, 0.0, 0.1);	
	
	EntGame.ShowCaption(STR_LVL_2_4_F, 0, 4.0);    
   
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha19", 0, 0, 0, 0, 1);
	Script.WaitSec(.25);
	EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha19", 0, 0, 2, -1, .88);
	Script.WaitSec(.25);
	EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha19", 0, 1, 1, 1, .7);	 
	EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha24", 0, 0, 0, .1, .6);	 
	
	Script.WaitSec(1);
		
	EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha22",  0,  -2, -1, 2, 1);	
	Script.WaitSec(.25);
	EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha19",  0, -.5, 0, 0, .9);	
	EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha22",  0,  -1, 1.5, -1, .35);
	EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha24", 0, 0, 0, .25, .7);	
	Script.WaitSec(.25);
	EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha24", 0, 0, 0, -.33, .5);
		
	Script.WaitSec(6);	 
	
	EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha19",  0,  -1, -1, 1, 1);	
	Script.WaitSec(.25);
	EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha22",  0, -.5, 0, 0, .9);
	Script.WaitSec(.25);	
	EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha22",  0,  -1, 1.5, 1, .6);
	Script.WaitSec(.25);
	EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha24", 0, 0, 1, 1, .7);	
	Script.WaitSec(.25);
	EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha22", 0, 0, 0, -.25, .33);	

	Script.WaitSec(2);	
	
	EntGame.SpawnAnimalOnPath(AID_IMPALA_M, "FollowPathAlpha20", 0, ST_WPT_RUN, 0, -2, -3, 1);   
	EntGame.SpawnAnimalOnPath(AID_IMPALA_M, "FollowPathAlpha21", 0, ST_WPT_RUN, 0, -1, -2, .8);  
	Script.WaitSec(.33);
	EntGame.SpawnAnimalOnPath(AID_IMPALA_F, "FollowPathAlpha23", 0, ST_WPT_RUN, 0, 0, 0, .5);  
	Script.WaitSec(.33);
	EntGame.SpawnAnimalOnPath(AID_IMPALA_M, "FollowPathAlpha20", 0, ST_WPT_RUN, 0, -2, -3, 1); 
	Script.WaitSec(.33); 
	Script.WaitSec(.33);
	EntGame.SpawnAnimalOnPath(AID_IMPALA_M, "FollowPathAlpha23", 0, ST_WPT_RUN, 0, -2, -3, 1);     
	Script.WaitSec(.33);
	EntGame.SpawnAnimalOnPath(AID_IMPALA_F, "FollowPathAlpha20", 0, ST_WPT_RUN, 0, -1, 0, .66); 
	EntGame.SpawnAnimalOnPath(AID_IMPALA_M, "FollowPathAlpha23", 0, ST_WPT_RUN, 0, -1, -2, .66); 
	
	Script.WaitSec(5);
	
	Sound.Play(smpLeopardRoar, 1, DS2_VOLMAX, DS2_CENTER);

	a = EntGame.SpawnAnimalOnPath(AID_LEOPARD_M, "FollowPathAlpha20",0, ST_WPT_RUN, 1,0,0,1.35);
	Animal.FaceEntity(a, entCamera );
	
	Script.WaitSec(7);
	
	EntGame.ShowCaption(STR_LVL_2_4_G, 0, 4.0);
	
		
		end;

-----------------------------------------------------------------------------

function Part3()
	
	Camera.SetSpeed(entCamera, 2.0, 0.1);
	Camera.StopAtWaypoint(entCamera, "CamWptMM");
	
	Script.WaitSec(3);
		
	EntGame.SpawnAnimalOnPath(AID_IMPALA_M, "FollowPathAlpha23", 0, ST_WPT_RUN, 0, -1, -2, .9); 
	Script.WaitSec(.33); 
	EntGame.SpawnAnimalOnPath(AID_IMPALA_M, "FollowPathAlpha23", 0, ST_WPT_RUN, 0, 0, 0, .66); 
	Script.WaitSec(1); 
	EntGame.SpawnAnimalOnPath(AID_IMPALA_M, "FollowPathAlpha23", 0, ST_WPT_RUN, 0, -1, -2, .8); 
	EntGame.SpawnAnimalOnPath(AID_IMPALA_F, "FollowPathAlpha23", 0, ST_WPT_RUN, 0, 1, 0, .6); 
	EntGame.SpawnAnimalOnPath(AID_IMPALA_M, "FollowPathAlpha23", 0, ST_WPT_RUN, 0, 1, 2, .4); 
	
	Script.WaitSec(7);	
	
	EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha25",  0,  -1, -1, 1, 1.2);	
	Script.WaitSec(.25);
	EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha25",  0, -.5, 0, 0, .9);
	Script.WaitSec(.25);	
	EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha25",  0,  -1, 1.5, 1, .6);
	Script.WaitSec(.25);
	EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha25", 0, 0, 1, -2, .7);	
	Script.WaitSec(.25);
	EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha25", 0, 1, 1, -1, .33);	
	
	Script.WaitSec(5);
		
	EntGame.SpawnAnimalOnPath(AID_IMPALA_M, "FollowPathBeta1", 0, ST_WPT_RUN, 0, -1, -2, .9); 
	Script.WaitSec(.25); 
	EntGame.SpawnAnimalOnPath(AID_IMPALA_M, "FollowPathBeta1", 0, ST_WPT_RUN, 0, 0, 0, .66); 
	Script.WaitSec(.5); 
	EntGame.SpawnAnimalOnPath(AID_IMPALA_M, "FollowPathBeta1", 0, ST_WPT_RUN, 0, -1, -2, .8); 
	Script.WaitSec(.25); 
	EntGame.SpawnAnimalOnPath(AID_IMPALA_F, "FollowPathBeta1", 0, ST_WPT_RUN, 0, 1, 0, .6); 
	EntGame.SpawnAnimalOnPath(AID_IMPALA_M, "FollowPathBeta1", 0, ST_WPT_RUN, 0, 1, 2, .4); 
		
	Script.WaitSec(1);	
	
	EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathBeta2",  0,  -1, -1, 1, 1.2);	
	Script.WaitSec(.25);
	EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathBeta2",  0, -.5, 0, 0, .9);
	Script.WaitSec(2.25);	

	EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathBeta3",  0,  -1, -1, 1, 1.2);	
	Script.WaitSec(.25);
	EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathBeta3",  0, -.5, 0, 0, .9);
	Script.WaitSec(.25);	
	EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathBeta3",  0,  -1, 1.5, 1, .6);
	Script.WaitSec(.25);
	EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathBeta3", 0, 0, 0, -.25, .5);
			
	Script.WaitSec(4);
	
	EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathBeta3",  0,  -1, -1, 2, 1.2);	
	Script.WaitSec(.25);
	EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathBeta3",  0, -.5, 0, 0, .9);
	Script.WaitSec(.5);	
	EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathBeta3",  0,  -1, 1.5, 1, .6);
	
	Script.WaitSec(2);
	
	EntGame.SpawnAnimalOnPath(AID_IMPALA_M, "FollowPathBeta4", 0, ST_WPT_RUN, 0, -1, -2, .9); 
	Script.WaitSec(.25); 
	EntGame.SpawnAnimalOnPath(AID_IMPALA_M, "FollowPathBeta4", 0, ST_WPT_RUN, 0, 0, 0, .66); 
	Script.WaitSec(.5); 
	EntGame.SpawnAnimalOnPath(AID_IMPALA_F, "FollowPathBeta4", 0, ST_WPT_RUN, 0, -1, -2, .8); 
	Script.WaitSec(.25); 
	EntGame.SpawnAnimalOnPath(AID_IMPALA_M, "FollowPathBeta5", 0, ST_WPT_RUN, 0, 1, 0, .6); 
	
	Script.WaitSec(1.25);
		
	EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathBeta3",  0,  -1, -1, 2, 1.2);	
	Script.WaitSec(.25);
	EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathBeta3",  0, -.5, 0, 0, 1);
	Script.WaitSec(.5);	
		
	Sound.Play(smpLeopardRoar, 1, DS2_VOLMAX, DS2_CENTER);

	a = EntGame.SpawnAnimalOnPath(AID_LEOPARD_M, "FollowPathBeta5",0, ST_WPT_RUN, 1,0,0,.8);
	Animal.FaceEntity(a, entCamera );
		
	EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathBeta3",  0,  -1, 1.5, 1, 1.1);
	Script.WaitSec(.25);
	EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathBeta3",  0, -.5, 0, 0, .8);
	Script.WaitSec(.5);	
	EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathBeta3",  0,  -1, 1.5, 1, .8);
		
    end;
		
-----------------------------------------------------------------------------

-- Main entry point
   
Setup();   
Part1();   
Part2(); 
Part3();